#
# spec file for package perl-Test-Fatal
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Fatal
Version:        0.010
Release:        23.1
%define cpan_name Test-Fatal
Summary:        Incredibly simple helpers for testing code with exceptions
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Fatal/
Source:         http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Try::Tiny) >= 0.07
#BuildRequires: perl(Test::Fatal)
Requires:       perl(Try::Tiny) >= 0.07
%{perl_requires}

%description
Test::Fatal is an alternative to the popular the Test::Exception manpage.
It does much less, but should allow greater flexibility in testing
exception-throwing code with about the same amount of typing.

It exports one routine by default: 'exception'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon Feb 20 2012 coolo@suse.com
- updated to 0.010
    avoid tickling an overloading bug in perl 5.6 during testing (thanks,
    Zefram)
    advise against using isnt(exception{...},undef)
* Sun Nov 13 2011 lars@linux-schulserver.de
- update to 0.008:
  + revert the mistake by which 0.004 allowed blocks after
    "exception" as well as "success"
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- update to 0.006:
  * crank back the Test::More and Exporter requirements
  * add lives_ok and dies_ok emulation
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.005: no user-visible changes
- changes from 0.004:
  * success blocks now allow trailing blocks like finally, catch, etc.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Nov 11 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
* Mon Nov  1 2010 pascal.bleser@opensuse.org
- initial package (0.003)
